org.gradle.plugins.binaries.model

## Interface CompileSpec

- All Superinterfaces:
    Named
  All Known Subinterfaces:
    LibraryCompileSpec

      public interface CompileSpec
      extends Named

  A high level interface to the compiler, specifying what is to be compiled and how.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `compile()` Deprecated. No replacement
    `File` | `getOutputFile()` The ultimate output of the compilation.

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### getOutputFile

          File getOutputFile()

      The ultimate output of the compilation.

    - #### compile

          @Deprecated
          void compile()

      Deprecated. No replacement
      Do the compile.